2009年5月26日

把系統換成 Mandriva 2009 Spring 了

前幾天已經把我的桌機系統從原本的 Mandriva 2008 Spring (2008.1) 換成 Mandriva 2009 Spring (2009.1) 了。轉換的主因是 Mandriva 官方對 2008.1 的「桌面」相關程式只支援到上個月中 (4/15) 而已,以後不會再出更新,這對我最大的影響是 Firefox,因為每天上網在用的程式總不能不裝安全性更新吧!另一個轉換的原因則是 2009.1 經過前陣子的試用後,發現它的可用度比上一版 2009.0 改善許多,這跟月初 (5/1) 我在 2009.1 發佈消息中所提到的 2009.1 RC2 試用經驗一樣,就不再贅述了。

2009.1 的 KDE 桌面版本是 4.2,與 2008.1 的 3.5 版有不少差異,如果要沿用其設定檔的話就必須手動轉移才行,這在 Mandriva 的官方 Wiki 上有相關的網頁教學。不過因為有網友建議整個系統重新安裝比較好,而且前面那個教學網頁也說有些設定會不相容,所以我後來決定把 2009.1 灌在硬碟多餘的分割區中,並暫時保留原來的 2008.1,這樣萬一新系統有任何問題的話,隨時可以回到舊系統。

因為選擇要保留舊系統的關係,所以在安裝一開始的磁碟分割步驟我沒有去動有資料的分割區,而是把以前規劃要用卻一直沒用到的兩個分割區拿來做為 / 和 /home,swap 則直接沿用舊系統的。再來是把其他有資料的分割區全都指定掛載點為 /mnt/xxx (xxx 是指各自的目錄名稱),方便以後需要時存取。另外,其中幾個在新系統中不想去改到裡面資料的分割區,則在專家模式的掛載參數選項中指定以唯讀的方式掛載。這樣就完成磁碟分割這個步驟了。

接著,安裝程式說偵測到有些硬體支援的套件在我的電腦上不需要用到,要把那些套件移除。我按了「進階」按鈕發現套件的數量還不少,就照它的意思全移除了。沒想到後來安裝完後重開機,設定 ADSL 網路到最後要連線時,竟然出現「No package named rp-pppoe」和「Could not install the packages (rp-pppoe)!」的錯誤訊息!問題是這時候我也沒辦法連線到網路上下載 rp-pppoe 套件來安裝啊!
虧我在安裝之前還特地把網路設定好而且也成功連線了,沒想到安裝時它的偵測結果是把 rp-pppoe 套件給移除。後來我再重裝一次時,選擇要保留那些硬體支援的套件,果然就沒問題了。看樣子以後不能太相信它的偵測結果,最好要自己一個個檢查過它列的套件才行。

除了上述的問題之外,剩下的安裝過程就都滿順利的。系統灌入硬碟的速度很快。開機程式的設定幾乎直接套用預設值就可以。開機選單也有自動抓到我的舊系統。於是安裝完成了。重開機後經過幾個簡單的步驟,本文一開始所附的預設桌面圖便映入眼簾。

最後,補個 HowtoForge 上的安裝教學,雖然它教的是 GNOME 桌面,但還是有其參考價值,之後要安裝其他軟體套件時還會用到。

沒有留言:

張貼留言

請儘量避免使用注音文火星文。廣告或與文章主題無關的留言將視情形刪除。(本留言功能需 JavaScript)

Related Posts with Thumbnails